package com.hs.admin.dao;


import com.hs.admin.bean.DataBase;
import com.hs.admin.bean.Jcb;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author xieheng
 */
public interface JcbDao {
    int deleteByPrimaryKey(String jcbId);

    int insert(Jcb record);


    Jcb selectByPrimaryKey(String jcbId);

    int delJcb(String jcbId);

    List<Jcb> findAllByState(long before);

    int updateById(Jcb jcb);

    int checkTask(Integer id);

    Jcb getCount(String jcbId);

    long getTotalCount();

    DataBase getDbInfo(String jcbId);

    List<Jcb> findPage(Integer index, Integer pageSize);

    int updateModifyTime(@Param("jcbId") String jcbId, @Param("dateTime") long dateTime);

    List<String> getJcbIdList();
}